GNU Trove

## gnu.trove
Class TObjectIdentityHashingStrategy<T>

    java.lang.Object
      gnu.trove.TObjectIdentityHashingStrategy<T>

All Implemented Interfaces:
  TObjectHashingStrategy<T>, java.io.Serializable

    public final class TObjectIdentityHashingStrategy<T>

extends java.lang.Object
implements TObjectHashingStrategy<T>

This object hashing strategy uses the System.identityHashCode method to provide identity hash codes. These are identical to the value produced by Object.hashCode(), even when the type of the object being hashed overrides that method. Created: Sat Aug 17 11:13:15 2002

Version:
  $Id: TObjectIdentityHashingStrategy.java,v 1.4 2007/06/11 15:26:44 robeden Exp $
Author:
  Eric Friedman
See Also:
  Serialized Form

Constructor Summary
`TObjectIdentityHashingStrategy()`

Method Summary
`int` `computeHashCode(T object)` Delegates hash code computation to the System.identityHashCode(Object) method.
`boolean` `equals(T o1, T o2)` Compares object references for equality.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TObjectIdentityHashingStrategy

    public TObjectIdentityHashingStrategy()

Method Detail

### computeHashCode

    public final int computeHashCode(T object)

  Delegates hash code computation to the System.identityHashCode(Object) method.

  Specified by:
    `computeHashCode` in interface `TObjectHashingStrategy<T>`
  Parameters:
    `object` - for which the hashcode is to be computed
  Returns:
    the hashCode

### equals

    public final boolean equals(T o1,
                                T o2)

  Compares object references for equality.

  Specified by:
    `equals` in interface `TObjectHashingStrategy<T>`
  Parameters:
    `o1` - an `Object` value
    `o2` - an `Object` value
  Returns:
    true if o1 == o2

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.